oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions for Intel oneAPI Toolkits, Intel Parallel Studio XE and Intel System Studio
1046 Discussions

2022.3 Base Toolkit installer fails trying to install Intel Python

CFR
New Contributor II
660 Views

CentOS 7.9 (pretty generic server setup), OneAPI 2022.3

Base Toolkit install fails at python install:

11/08/2022 16:03:38:209 : 940 : MESSAGE : Starting execution of operation 'intel.oneapi.lin.python3,v=2022.2.0-8762'.
11/08/2022 16:12:37:367 : 940 : ERROR : Installation of component has failed.
Component id: intel.oneapi.lin.python3, name: Intel® Distribution for Python*, version: 2022.2.0-8762.
During the execution of the application '/home/user/intel/installercache/downloadcache/intel.oneapi.lin.python3,v=2022.2.0-8762/exec_script.sh' with arguments '/public/opt/oneapi_2022.3' errors were received:'chmod: cannot access ‘pkgs/cache’: No such file or directory
'
Error: Sequence execution failed.

11/08/2022 16:12:37:367 : 940 : MESSAGE : Operation 'intel.oneapi.lin.python3,v=2022.2.0-8762' execution is finished with status Fail.

If I disable Python from the install all the other packages install fine.

Sounds like this earlier bug report, but the discussion went off-line and nobody followed up with a resolution (if there was one).

https://community.intel.com/t5/Intel-oneAPI-Base-Toolkit/Python-installation-standalone-and-in-BaseKit-fail-on-Linux/m-p/1383834/highlight/true#M2290

(bzip2 is installed. I set TMPDIR so that Anaconda will install with a noexec /tmp)

 

 

 

 

 

0 Kudos
1 Solution
ArpanB_Intel
Moderator
593 Views

Cragi, please note that support for the below operating systems are deprecated from the release of Intel® oneAPI 2022.1 and it's future releases as well:


• Windows Server 2016*

• Red Hat* Enterprise Linux 7

• SUSE Linux Enterprise Server* 15 SP2

• Ubuntu* 18.04 LTS

• CentOS* 7

• Fedora 34


View solution in original post

0 Kudos
6 Replies
ArpanB_Intel
Moderator
619 Views

Hi Cragi, please share the following information with us:


  • The versions of VS installed on your system along with their build numbers
  • The OS build version
  • Do you have any older version of Intel® oneAPI or Intel® Parallel Studio XE installed on your system?


We would like to know.


0 Kudos
CFR
New Contributor II
615 Views

Dunno what "VS" is. VisualStudio? not on this system.

OS:

CentOS Linux release 7.9.2009 (Core)

Linux host1 5.4.206-200.el7.x86_64 #1 SMP Thu Jul 28 14:58:01 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux

 

There are older versions of OneAPI loaded but they are isolated in separate directories (and this install is to a separate directory) and I wiped the previous installer droppings like ~/intel/{installercache,packagemanger,pythonpackages, oneapi} before loading so there shouldn't be any interference from earlier versions.

0 Kudos
CFR
New Contributor II
602 Views

 

Issue persists in Base Toolkit 2022.3.1...

 

11/09/2022 15:53:10:766 : 17161 : MESSAGE : Starting execution of operation 'intel.oneapi.lin.python3,v=2022.2.1-17274'.
11/09/2022 16:10:00:588 : 17161 : ERROR : Installation of component has failed.
Component id: intel.oneapi.lin.python3, name: Intel® Distribution for Python*, version: 2022.2.1-17274.
During the execution of the application '/home/user/intel/installercache/downloadcache/intel.oneapi.lin.python3,v=2022.2.1-17274/exec_script.sh' with arguments '/public/opt/oneapi_2022.3.1' errors were received:'chmod: cannot access ‘pkgs/cache’: No such file or directory
'
Error: Sequence execution failed.

11/09/2022 16:10:00:588 : 17161 : MESSAGE : Operation 'intel.oneapi.lin.python3,v=2022.2.1-17274' execution is finished with status Fail.

 

It appears to me the issue is in intelpython/latest/setup_scripts/.setup_ipy.sh but I can't figure out a way to instrument the script and build my own version of the installer to see what the problem is.

0 Kudos
ArpanB_Intel
Moderator
594 Views

Cragi, please note that support for the below operating systems are deprecated from the release of Intel® oneAPI 2022.1 and it's future releases as well:


• Windows Server 2016*

• Red Hat* Enterprise Linux 7

• SUSE Linux Enterprise Server* 15 SP2

• Ubuntu* 18.04 LTS

• CentOS* 7

• Fedora 34


0 Kudos
CFR
New Contributor II
586 Views

Unfortunate.

0 Kudos
ArpanB_Intel
Moderator
546 Views

Cragi, thank you for accepting our answer as a solution.


If you have any further queries, please post a new question as this thread will no longer be monitored by Intel®.


0 Kudos
Reply